#### 1. ZH_WORDS
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| VALUE | [VARCHAR2][ORACLE_VARCHAR2] (4000 BYTE) | No | - | - |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| BIRT | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'N' | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| ORGANIZATION_ID | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |

* Add check: IS_ACTIVE in('N', 'Y')
* Add sequence: SEQ_ZH_WORDS_ID

#### 2. ZH_LANGUAGE
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| SHORT_NAME | [VARCHAR2][ORACLE_VARCHAR2] (6 BYTE) | No | - | - |
| LANGUAGE_ISO | [VARCHAR2][ORACLE_VARCHAR2] (5 BYTE) | No | - | - |
| COUNTRY_CODE | [VARCHAR2][ORACLE_VARCHAR2] (2 BYTE) | No | - | - |
| NAME | [VARCHAR2][ORACLE_VARCHAR2] (120 BYTE) | No | - | - |
| DESCRIPTION | [VARCHAR2][ORACLE_VARCHAR2] (510 BYTE) | No | - | - |
| HELP | [VARCHAR2][ORACLE_VARCHAR2] (2000 BYTE) | No | - | - |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| ORGANIZATION_ID | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |

* Add check: IS_ACTIVE in('N', 'Y')
* Add sequence: SEQ_ZH_LANGUAGE_ID

#### 3. ZH_PROJECT
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| NAME | [VARCHAR2][ORACLE_VARCHAR2] (120 BYTE) | No | - | - |
| DESCRIPTION | [VARCHAR2][ORACLE_VARCHAR2] (510 BYTE) | No | - | - |
| HELP | [VARCHAR2][ORACLE_VARCHAR2] (2000 BYTE) | No | - | - |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| ORGANIZATION_ID | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |

* Add check: IS_ACTIVE in('N', 'Y')
* Add sequence: SEQ_ZH_PROJECT_ID

#### 4. ZH_REPOSITORY
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| IS_PUBLIC | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| NEW_STRUCTURE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'N' | - |
| WEB_HOOK | [VARCHAR2][ORACLE_VARCHAR2] (120 BYTE) | No | - | - |
| FRONT_PATH | [VARCHAR2][ORACLE_VARCHAR2] (300 BYTE) | No | - | - |
| WORDS_PATH | [VARCHAR2][ORACLE_VARCHAR2] (300 BYTE) | No | - | - |
| MESSAGES_FILE | [VARCHAR2][ORACLE_VARCHAR2] (300 BYTE) | No | - | - |
| MESSAGES_STRUCTURE | [VARCHAR2][ORACLE_VARCHAR2] (300 BYTE) | No | - | - |
| ORGANIZATION_ID | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| DEFAULT_LANGUAGE | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_LANGUAGE Table) |

* Add check: IS_ACTIVE in('N', 'Y')
* Add check: IS_PUBLIC in('N', 'Y')
* Add check: NEW_STRUCTURE in('N', 'Y')
* Add unique: WEB_HOOK
* Add sequence: SEQ_ZH_REPOSITORY_ID

####  ZH_REPOSITORY_LANGUAGE
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| LANGUAGE_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_LANGUAGE Table) |
| REPOSITORY_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_REPOSITORY Table) |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |

* Add sequence: SEQ_ZH_REPOSITORY_ID

#### 6. ZH_PROJECT_REPOSITORY
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| PROJECT_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_PROJECT Table) |
| REPOSITORY_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_REPOSITORY Table) |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |

* Add check: IS_ACTIVE in('N', 'Y')
* Add sequence: SEQ_ZH_PROJECT_REPOSITORY_ID

#### 7. ZH_WORDS_REPOSITORY
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| WORDS_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_WORDS Table) |
| REPOSITORY_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_REPOSITORY Table) |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |

* Add check: IS_ACTIVE in('N', 'Y')
* Add sequence: SEQ_ZH_WORDS_REPOSITORY_ID

#### 8. ZH_WORDS_TRL
| Name | Type | Nullable | Default | Key |
| --- | :---: | :---: | :---: | :---: |
| ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | PK |
| IS_ACTIVE | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'Y' | - |
| WORDS_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_WORDS Table) |
| LANGUAGE_ID | [NUMBER(10)][ORACLE_NUMBER_10] | No | - | FK(ZH_LANGUAGE Table) |
| VALUE | [VARCHAR2][ORACLE_VARCHAR2] (4000 BYTE) | No | - | - |
| STATUS | [VARCHAR2][ORACLE_VARCHAR2] (1 BYTE) | No | 'T' | - |
| PRIMARY_VALUE | [VARCHAR2][ORACLE_VARCHAR2] (4000 BYTE) | No | - | - |
| ORGANIZATION_ID | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| UPDATED_BY | [VARCHAR2][ORACLE_VARCHAR2] (255 BYTE) | No | - | - |
| CREATED | [DATE][ORACLE_DATE] | No | - | - |
| UPDATED | [DATE][ORACLE_DATE] | No | - | - |

* Add check: IS_ACTIVE in('N', 'Y')
* Add check: STATUS in('A', 'T')
* Add sequence: SEQ_ZH_WORDS_TRL_ID
