/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ESPECGRUPOBEM                                            */
/* Tabela : ESPECGRUPOBEM                                                     */
/*                                                                            */
/* Criao:                                                                   */
/* 26/03/2009 - Luciana Correa de Figueiredo                                  */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE
TRIGGER DTULTATU_ESPECGRUPOBEM
BEFORE INSERT OR UPDATE OR DELETE
ON ESPECGRUPOBEM FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF(NVL(:OLD.CDEMPRESA      ,0) <> NVL(:NEW.CDEMPRESA      ,0)) OR
        (NVL(:OLD.CDGRUPOBEM     ,0) <> NVL(:NEW.CDGRUPOBEM     ,0)) OR
        (NVL(:OLD.CDESPECIFICABEM,0) <> NVL(:NEW.CDESPECIFICABEM,0)) THEN
        :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE,CDFILICACHE,DSKEYCACHE,DTULTATUCACH)
      VALUES ('ESPECGRUPOBEM','','CDEMPRESA='||:OLD.CDEMPRESA||';CDGRUPOBEM='||:OLD.CDGRUPOBEM||';CDESPECIFICABEM='||:OLD.CDESPECIFICABEM||';',SYSDATE);
   END IF;
END;
/
ALTER TABLE ESPECGRUPOBEM MODIFY DTULTATU DEFAULT SYSDATE
/

UPDATE ESPECGRUPOBEM SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/
-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ESPECGRUPOBEM','5.05.119'); END;
/

