(function() {
    var packages = {
        'product': './assets',
        'default': './assets',
        'modules': '../../../assets',
        'zeedhiFramework': './bower_components/zeedhi-frontend/assets',

        'zhuacl': './bower_components/zhuaclfrontend/assets',
        'zhulog': './bower_components/zhulog/assets',
        'lib': './bower_components/tek-libraries',
        'zh-preferences': './bower_components/zh-preferences/dist/assets/',
        'zh-filter-preferences': './bower_components/zh-filter-preferences/dist/assets/',

        'acl': '/acl/assets/',
        'login': '/login/assets/'
    };

    function setWindowVariables(){
        window.cssStyle = 'zeedhi';
        window.cssUrl = './bower_components/zeedhi-frontend/assets/css/custom.css';
        window.templateUrl = 'bower_components/zeedhi-frontend/templates/dyman/';
        window.serviceUrl = '../backend/index.php';
        window.applicationVersion = '1.1.3';
        window.metadataUrl = './assets/';
        window.projectId = 2379;
        window.keepTitle = true;
    }

    function setTemplateUrls(){
        window.templateUrls = [
            {
                package: 'default',
                baseUrl: 'bower_components/zeedhi-frontend/templates/dyman/'
            },
            {
                package: 'zh-filter-preferences',
                baseUrl: 'bower_components/zh-filter-preferences/dist/templates/'
            }
        ];
    }

    function setMetadataUrls(){
        var metadataUrls = Object.keys(packages).map(function(packageKey){
            return {
                package: packageKey,
                baseUrl: packages[packageKey]
            };
        });

        window.metadataUrls = metadataUrls;
    }

    function setServiceUrls(){
        var pathname = location.pathname;

        if(pathname.search('mobile') !== -1){
            pathname = pathname.replace('/mobile', '').split('/modules')[0];
        } else {
            pathname = '';
        }

        var pkgBaseUrls = {
            'acl':  location.origin + pathname + '/backend_acl/index.php',
            'login':  location.origin + pathname + '/backend_login/index.php',
            'zh-preferences': window.serviceUrl + '/zh-preferences',
            'default': window.serviceUrl
        };

        var serviceUrls = Object.keys(packages).map(function(packageKey){
            return {
                package: packageKey,
                baseUrl: pkgBaseUrls[packageKey] || pkgBaseUrls.default
            };
        });

        window.serviceUrls = serviceUrls;
    }

    setWindowVariables();
    setTemplateUrls();
    setMetadataUrls();
    setServiceUrls();

})();